sailpoint.object

## Enum Rule.Type

- java.lang.Object
- - java.lang.Enum<Rule.Type>
  - - sailpoint.object.Rule.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Rule.Type>

Enclosing interface:
  Rule

    public static enum Rule.Type
    extends java.lang.Enum<Rule.Type>

Rules may be typed if they are intended for use in certain parts of the system proper use of types is necessary for the rule to appear in selection menus in the UI.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AccountGroupRefresh`
`AccountSelector`
`ActivityConditionBuilder`
`ActivityCorrelation`
`ActivityPositionBuilder`
`ActivityTransformer`
`AfterProvisioning`
`AllowedValues`
`ApprovalAssignment`
`Approver`
`AttributeGenerator`
`AttributeGeneratorFromTemplate`
`BeforeProvisioning`
`BuildMap`
`CertificationAutomaticClosing`
`CertificationEntityCompletion`
`CertificationEntityCustomization`
`CertificationEntityRefresh`
`CertificationExclusion`
`CertificationItemCompletion`
`CertificationItemCustomization`
`CertificationPhaseChange`
`CertificationPreDelegation`
`CertificationSignOffApprover`
`Certifier`
`CompositeAccount`
`CompositeRemediation`
`CompositeTierCorrelation`
`ConnectorAfterCreate`
`ConnectorAfterDelete`
`ConnectorAfterModify`
`ConnectorBeforeCreate`
`ConnectorBeforeDelete`
`ConnectorBeforeModify`
`Correlation`
`EmailRecipient`
`Escalation`
`FallbackWorkItemForward`
`FieldValue`
`FileParsingRule`
`GroupAggregationRefresh`
`GroupOwner`
`IdentityAttribute`
`IdentityAttributeTarget`
`IdentityCreation`
`IdentitySelector`
`IdentityTrigger`
`Integration`
`JDBCBuildMap`
`JDBCOperationProvisioning`
`JDBCProvision`
`LinkAttribute`
`Listener`
`ManagedAttributeCustomization`
`ManagedAttributePromotion`
`ManagerCorrelation`
`MergeMaps`
`Owner`
`PeopleSoftHRMSBuildMap`
`PeopleSoftHRMSOperationProvisioning`
`PeopleSoftHRMSProvision`
`Policy`
`PolicyNotification`
`PolicyOwner`
`PostIterate`
`PreIterate`
`RACFPermissionCustomization`
`Refresh`
`ReportCustomizer`
`ReportParameterQuery`
`ReportParameterValue`
`ReportValidator`
`RequestObjectSelector`
`ResourceObjectCustomization`
`RiskScore`
`SAMLCorrelation`
`SAPBuildMap`
`SapHrManagerRule`
`SapHrOperationProvisioning`
`SapHrProvision`
`ScopeCorrelation`
`ScopeSelection`
`SSOAuthentication`
`SSOValidation`
`SuccessFactorsOperationProvisioning`
`TargetCorrelation`
`TargetCreation`
`TargetTransformer`
`TaskCompletion`
`TaskEventRule`
`Transformation`
`Validation`
`Violation`
`WebServiceAfterOperationRule`
`WebServiceBeforeOperationRule`
`Workflow`
`WorkItemForward`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getMessageKey()`
`static Rule.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Rule.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AttributeGenerator

    public static final Rule.Type AttributeGenerator

#### AttributeGeneratorFromTemplate

    public static final Rule.Type AttributeGeneratorFromTemplate

#### AccountGroupRefresh

    public static final Rule.Type AccountGroupRefresh

#### AccountSelector

    public static final Rule.Type AccountSelector

#### ActivityConditionBuilder

    public static final Rule.Type ActivityConditionBuilder

#### ActivityCorrelation

    public static final Rule.Type ActivityCorrelation

#### ActivityPositionBuilder

    public static final Rule.Type ActivityPositionBuilder

#### ActivityTransformer

    public static final Rule.Type ActivityTransformer

#### AfterProvisioning

    public static final Rule.Type AfterProvisioning

#### ApprovalAssignment

    public static final Rule.Type ApprovalAssignment

#### ConnectorAfterCreate

    public static final Rule.Type ConnectorAfterCreate

#### ConnectorAfterModify

    public static final Rule.Type ConnectorAfterModify

#### ConnectorAfterDelete

    public static final Rule.Type ConnectorAfterDelete

#### AllowedValues

    public static final Rule.Type AllowedValues

#### Approver

    public static final Rule.Type Approver

#### ConnectorBeforeCreate

    public static final Rule.Type ConnectorBeforeCreate

#### ConnectorBeforeModify

    public static final Rule.Type ConnectorBeforeModify

#### ConnectorBeforeDelete

    public static final Rule.Type ConnectorBeforeDelete

#### BuildMap

    public static final Rule.Type BuildMap

#### BeforeProvisioning

    public static final Rule.Type BeforeProvisioning

#### CertificationAutomaticClosing

    public static final Rule.Type CertificationAutomaticClosing

#### CertificationEntityCompletion

    public static final Rule.Type CertificationEntityCompletion

#### CertificationEntityCustomization

    public static final Rule.Type CertificationEntityCustomization

#### CertificationEntityRefresh

    public static final Rule.Type CertificationEntityRefresh

#### CertificationExclusion

    public static final Rule.Type CertificationExclusion

#### CertificationItemCompletion

    public static final Rule.Type CertificationItemCompletion

#### CertificationItemCustomization

    public static final Rule.Type CertificationItemCustomization

#### CertificationPreDelegation

    public static final Rule.Type CertificationPreDelegation

#### CertificationSignOffApprover

    public static final Rule.Type CertificationSignOffApprover

#### CertificationPhaseChange

    public static final Rule.Type CertificationPhaseChange

#### Certifier

    public static final Rule.Type Certifier

#### CompositeAccount

    public static final Rule.Type CompositeAccount

#### CompositeRemediation

    public static final Rule.Type CompositeRemediation

#### CompositeTierCorrelation

    public static final Rule.Type CompositeTierCorrelation

#### Correlation

    public static final Rule.Type Correlation

#### EmailRecipient

    public static final Rule.Type EmailRecipient

#### Escalation

    public static final Rule.Type Escalation

#### FieldValue

    public static final Rule.Type FieldValue

#### FallbackWorkItemForward

    public static final Rule.Type FallbackWorkItemForward

#### FileParsingRule

    public static final Rule.Type FileParsingRule

#### GroupAggregationRefresh

    public static final Rule.Type GroupAggregationRefresh

#### GroupOwner

    public static final Rule.Type GroupOwner

#### IdentityAttribute

    public static final Rule.Type IdentityAttribute

#### IdentityAttributeTarget

    public static final Rule.Type IdentityAttributeTarget

#### IdentityCreation

    public static final Rule.Type IdentityCreation

#### IdentitySelector

    public static final Rule.Type IdentitySelector

#### IdentityTrigger

    public static final Rule.Type IdentityTrigger

#### Integration

    public static final Rule.Type Integration

#### JDBCProvision

    public static final Rule.Type JDBCProvision

#### JDBCOperationProvisioning

    public static final Rule.Type JDBCOperationProvisioning

#### JDBCBuildMap

    public static final Rule.Type JDBCBuildMap

#### LinkAttribute

    public static final Rule.Type LinkAttribute

#### Listener

    public static final Rule.Type Listener

#### ManagedAttributeCustomization

    public static final Rule.Type ManagedAttributeCustomization

#### ManagedAttributePromotion

    public static final Rule.Type ManagedAttributePromotion

#### ManagerCorrelation

    public static final Rule.Type ManagerCorrelation

#### MergeMaps

    public static final Rule.Type MergeMaps

#### Owner

    public static final Rule.Type Owner

#### PeopleSoftHRMSBuildMap

    public static final Rule.Type PeopleSoftHRMSBuildMap

#### PeopleSoftHRMSOperationProvisioning

    public static final Rule.Type PeopleSoftHRMSOperationProvisioning

#### PeopleSoftHRMSProvision

    public static final Rule.Type PeopleSoftHRMSProvision

#### Policy

    public static final Rule.Type Policy

#### PolicyOwner

    public static final Rule.Type PolicyOwner

#### PolicyNotification

    public static final Rule.Type PolicyNotification

#### PostIterate

    public static final Rule.Type PostIterate

#### PreIterate

    public static final Rule.Type PreIterate

#### Refresh

    public static final Rule.Type Refresh

#### RACFPermissionCustomization

    public static final Rule.Type RACFPermissionCustomization

#### RequestObjectSelector

    public static final Rule.Type RequestObjectSelector

#### ResourceObjectCustomization

    public static final Rule.Type ResourceObjectCustomization

#### RiskScore

    public static final Rule.Type RiskScore

#### SAMLCorrelation

    public static final Rule.Type SAMLCorrelation

#### SAPBuildMap

    public static final Rule.Type SAPBuildMap

#### SapHrManagerRule

    public static final Rule.Type SapHrManagerRule

#### SapHrOperationProvisioning

    public static final Rule.Type SapHrOperationProvisioning

#### SapHrProvision

    public static final Rule.Type SapHrProvision

#### SuccessFactorsOperationProvisioning

    public static final Rule.Type SuccessFactorsOperationProvisioning

#### WebServiceAfterOperationRule

    public static final Rule.Type WebServiceAfterOperationRule

#### WebServiceBeforeOperationRule

    public static final Rule.Type WebServiceBeforeOperationRule

#### SSOAuthentication

    public static final Rule.Type SSOAuthentication

#### SSOValidation

    public static final Rule.Type SSOValidation

#### ScopeCorrelation

    public static final Rule.Type ScopeCorrelation

#### ScopeSelection

    public static final Rule.Type ScopeSelection

#### TargetCorrelation

    public static final Rule.Type TargetCorrelation

#### TargetCreation

    public static final Rule.Type TargetCreation

#### TargetTransformer

    public static final Rule.Type TargetTransformer

#### TaskEventRule

    public static final Rule.Type TaskEventRule

#### TaskCompletion

    public static final Rule.Type TaskCompletion

#### Transformation

    public static final Rule.Type Transformation

#### Validation

    public static final Rule.Type Validation

#### Violation

    public static final Rule.Type Violation

#### Workflow

    public static final Rule.Type Workflow

#### WorkItemForward

    public static final Rule.Type WorkItemForward

#### ReportValidator

    public static final Rule.Type ReportValidator

#### ReportParameterQuery

    public static final Rule.Type ReportParameterQuery

#### ReportParameterValue

    public static final Rule.Type ReportParameterValue

#### ReportCustomizer

    public static final Rule.Type ReportCustomizer

### Method Detail

#### values

    public static Rule.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Rule.Type c : Rule.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Rule.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getMessageKey

    public java.lang.String getMessageKey()